summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/retroshare/retroshare-0.6.9999.ebuild')
-rw-r--r--net-p2p/retroshare/retroshare-0.6.9999.ebuild53
1 files changed, 26 insertions, 27 deletions
diff --git a/net-p2p/retroshare/retroshare-0.6.9999.ebuild b/net-p2p/retroshare/retroshare-0.6.9999.ebuild
index 053fb7063ce..7137ccbdc80 100644
--- a/net-p2p/retroshare/retroshare-0.6.9999.ebuild
+++ b/net-p2p/retroshare/retroshare-0.6.9999.ebuild
@@ -8,18 +8,20 @@ EGIT_REPO_URI="https://github.com/RetroShare/RetroShare.git"
inherit eutils git-r3 gnome2-utils qmake-utils versionator
DESCRIPTION="P2P private sharing application"
-HOMEPAGE="http://retroshare.sourceforge.net"
+HOMEPAGE="http://retroshare.net"
# pegmarkdown can also be used with MIT
LICENSE="GPL-2 GPL-3 Apache-2.0 LGPL-2.1"
SLOT="0"
KEYWORDS=""
-IUSE="cli feedreader qt4 +qt5 voip"
-REQUIRED_USE="^^ ( qt4 qt5 )
- || ( cli qt4 qt5 )
- feedreader? ( || ( qt4 qt5 ) )
- voip? ( || ( qt4 qt5 ) )"
+IUSE="cli feedreader +gui qt4 +qt5 voip"
+REQUIRED_USE="
+ || ( cli gui )
+ gui? ( ^^ ( qt4 qt5 ) )
+ cli? ( ^^ ( qt4 qt5 ) )
+ feedreader? ( gui )
+ voip? ( gui )"
RDEPEND="
app-arch/bzip2
@@ -29,33 +31,31 @@ RDEPEND="
net-libs/libmicrohttpd
net-libs/libupnp
sys-libs/zlib
- cli? (
- dev-libs/protobuf
- net-libs/libssh[server]
- )
feedreader? (
dev-libs/libxml2
dev-libs/libxslt
net-misc/curl
)
qt4? (
- x11-libs/libX11
- x11-libs/libXScrnSaver
- dev-qt/designer:4
+ gui? (
+ dev-qt/qtgui:4
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ )
dev-qt/qtcore:4
- dev-qt/qtgui:4
)
qt5? (
- x11-libs/libX11
- x11-libs/libXScrnSaver
- dev-qt/designer:5
+ gui? (
+ dev-qt/qtwidgets:5
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ )
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtmultimedia:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtscript:5
- dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
)
@@ -65,15 +65,12 @@ RDEPEND="
)
qt4? (
<media-libs/opencv-3.0.0
- dev-qt/qtmultimedia:4
dev-qt/qt-mobility[multimedia]
)
media-libs/speex
virtual/ffmpeg[encode]
)"
DEPEND="${RDEPEND}
- qt4? ( dev-qt/qtcore:4 )
- qt5? ( dev-qt/qtcore:5 )
virtual/pkgconfig"
src_prepare() {
@@ -87,8 +84,7 @@ src_prepare() {
rs_src_dirs="libbitdht/src openpgpsdk/src libresapi/src libretroshare/src supportlibs/pegmarkdown"
use cli && rs_src_dirs="${rs_src_dirs} retroshare-nogui/src"
use feedreader && rs_src_dirs="${rs_src_dirs} plugins/FeedReader"
- use qt4 && rs_src_dirs="${rs_src_dirs} retroshare-gui/src"
- use qt5 && rs_src_dirs="${rs_src_dirs} retroshare-gui/src"
+ use gui && rs_src_dirs="${rs_src_dirs} retroshare-gui/src"
use voip && rs_src_dirs="${rs_src_dirs} plugins/VOIP"
# Force linking to sqlcipher ONLY
@@ -97,15 +93,18 @@ src_prepare() {
retroshare-gui/src/retroshare-gui.pro \
retroshare-nogui/src/retroshare-nogui.pro || die 'sed on retroshare-gui/src/retroshare-gui.pro failed'
+ # Avoid openpgpsdk false dependency on qtgui
+ sed -i '2iQT -= gui' openpgpsdk/src/openpgpsdk.pro
+
eapply_user
}
src_configure() {
for dir in ${rs_src_dirs} ; do
- pushd "${S}/${dir}" 2>/dev/null || die
+ pushd "${S}/${dir}" >/dev/null || die
use qt4 && eqmake4
use qt5 && eqmake5
- popd 2>/dev/null || die
+ popd >/dev/null || die
done
}
@@ -124,8 +123,7 @@ src_install() {
local extension_dir="/usr/$(get_libdir)/${PN}/extensions6/"
use cli && dobin retroshare-nogui/src/RetroShare06-nogui
- use qt4 && dobin retroshare-gui/src/RetroShare06
- use qt5 && dobin retroshare-gui/src/RetroShare06
+ use gui && dobin retroshare-gui/src/RetroShare06
exeinto "${extension_dir}"
use feedreader && doexe plugins/FeedReader/*.so*
@@ -144,6 +142,7 @@ src_install() {
}
pkg_preinst() {
+ local ver
for ver in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 0.5.9999 ${ver}; then
elog "You are upgrading from Retroshare 0.5.* to ${PV}"